## golang-github-percona-go-mysql 0.0~git20251202.b3e1c16

=== Makefile ===
help:                           ## Display this help message.
	@echo "Please use \`make <target>\` where <target> is one of:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | \
		awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

init:                           ## Installs development tools.
	rm -rf bin
	cd tools && go generate -x -tags=tools

TEST_FLAGS ?= -timeout=20s

test:                           ## Run tests.
	go test $(TEST_FLAGS) ./...

test-race:                      ## Run tests with race detector.
	go test $(TEST_FLAGS) -race ./...

test-cover:                     ## Run tests and collect per-package coverage information.
	go test $(TEST_FLAGS) -coverprofile=cover.out -covermode=count ./...

test-crosscover:                ## Run tests and collect cross-package coverage information.
	go test $(TEST_FLAGS) -coverprofile=crosscover.out -covermode=count -coverpkg=./... ./...

check:                          ## Run required checkers and linters.
	go run .github/check-license.go

FILES = $(shell find . -type f -name '*.go' -not -path "./vendor/*")

format:                         ## Format source code.
	bin/gofumpt -l -w .
	bin/goimports -local github.com/percona/go-mysql -l -w $(FILES)

.PHONY: test

=== debian/changelog ===
golang-github-percona-go-mysql (0.0~git20251202.b3e1c16-1) unstable; urgency=medium

  * Initial release (Closes: #1128634)

 -- Lena Voytek <lena@voytek.dev>  Sat, 21 Feb 2026 18:27:45 -0500

=== debian/control ===
Source: golang-github-percona-go-mysql
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena@voytek.dev>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-shirou-gopsutil-dev,
               golang-github-stretchr-testify-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-percona-go-mysql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-percona-go-mysql.git
Homepage: https://github.com/percona/go-mysql
XS-Go-Import-Path: github.com/percona/go-mysql

Package: golang-github-percona-go-mysql-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-pkg-errors-dev,
         golang-github-shirou-gopsutil-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends},
Description: Go packages for MySQL (library)
 Go-mysql contains Go packages to help build tools for MySQL. This includes a
 slow log parser and a query fingerprinter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := test/slow-logs/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/percona/go-mysql.git \
  HEAD debian

# Use the following if upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/percona/go-mysql/tags .*/v?(\d\S*)\.tar\.gz debian
